approved_revision:
  action:
    arguments_schema:
      $schema: http://json-schema.org/draft-04/schema#
      properties:
        branches:
          description: List of experimental branches
          items:
            properties:
              ratio:
                description: Ratio of users who should be grouped into this branch
                minimum: 1
                type: integer
              slug:
                description: Unique identifier for this branch of the experiment
                pattern: ^[A-Za-z0-9\-_]+$
                type: string
              value:
                description: Value to set the preference to for this branch
                type:
                - string
                - number
                - boolean
            required:
            - slug
            - value
            - ratio
            type: object
          minItems: 1
          type: array
        experimentDocumentUrl:
          default: ''
          description: URL of a document describing the experiment
          format: uri
          type: string
        isEnrollmentPaused:
          default: false
          description: If true, new users will not be enrolled in the study.
          type: boolean
        isHighPopulation:
          default: 'false'
          description: Marks the preference experiment as a high population experiment,
            that should be excluded from certain types of telemetry
          type: boolean
        preferenceBranchType:
          default: default
          description: Controls whether the default or user value of the preference
            is modified
          enum:
          - user
          - default
          type: string
        preferenceName:
          description: Full dotted-path of the preference that controls this experiment
          type: string
        preferenceType:
          description: Data type of the preference that controls this experiment
          enum:
          - string
          - integer
          - boolean
          type: string
        slug:
          description: Unique identifier for this experiment
          pattern: ^[A-Za-z0-9\-_]+$
          type: string
      required:
      - slug
      - preferenceName
      - preferenceType
      - branches
      title: Run a feature experiment activated by a preference.
      type: object
    id: 3
    implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
    name: preference-experiment
  approval_request:
    approved: true
    approver:
      email: bwong@mozilla.com
      first_name: Benson
      id: 38
      last_name: Wong
    comment: removal of QA pref
    created: '2019-03-21T22:31:06.749571Z'
    creator:
      email: rdalal@mozilla.com
      first_name: Rehan
      id: 14
      last_name: Dalal
    id: 1498
    revision:
      id: 2336
      recipe_id: 721
  arguments:
    branches:
    - ratio: 1
      slug: default
      value: powerpoint.officeapps.live.com
    experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1536453
    isEnrollmentPaused: false
    isHighVolume: true
    preferenceBranchType: default
    preferenceName: dom.keyboardevent.keypress.hack.use_legacy_keycode_and_charcode
    preferenceType: string
    slug: hotfix-office365-legacy-keycode-and-charcode
  capabilities:
  - capabilities-v1
  - jexl.transform.versionCompare
  - action.preference-experiment
  - jexl.context.env.version
  comment: ''
  creator:
    email: rdalal@mozilla.com
    first_name: Rehan
    id: 14
    last_name: Dalal
  date_created: '2019-03-21T22:31:00.920157Z'
  enabled: true
  enabled_states:
  - carryover_from: null
    created: '2019-03-21T22:37:27.666999Z'
    creator:
      email: rdalal@mozilla.com
      first_name: Rehan
      id: 14
      last_name: Dalal
    enabled: true
    id: 764
  experimenter_slug: null
  extra_capabilities: []
  extra_filter_expression: normandy.version < "66.0.2"
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("66.!")>=0)&&(env.version|versionCompare("66.*")<0))
    && (normandy.version < "66.0.2")
  filter_object:
  - channels:
    - release
    type: channel
  - type: version
    versions:
    - 66
  id: 2336
  identicon_seed: v1:gx557ngwoe
  metadata: {}
  name: 'Hotfix: Office 365 Legacy Keycode And Charcode'
  recipe:
    approved_revision_id: 2336
    id: 721
    latest_revision_id: 2336
  updated: '2019-03-21T22:37:27.948324Z'
id: 721
latest_revision:
  action:
    arguments_schema:
      $schema: http://json-schema.org/draft-04/schema#
      properties:
        branches:
          description: List of experimental branches
          items:
            properties:
              ratio:
                description: Ratio of users who should be grouped into this branch
                minimum: 1
                type: integer
              slug:
                description: Unique identifier for this branch of the experiment
                pattern: ^[A-Za-z0-9\-_]+$
                type: string
              value:
                description: Value to set the preference to for this branch
                type:
                - string
                - number
                - boolean
            required:
            - slug
            - value
            - ratio
            type: object
          minItems: 1
          type: array
        experimentDocumentUrl:
          default: ''
          description: URL of a document describing the experiment
          format: uri
          type: string
        isEnrollmentPaused:
          default: false
          description: If true, new users will not be enrolled in the study.
          type: boolean
        isHighPopulation:
          default: 'false'
          description: Marks the preference experiment as a high population experiment,
            that should be excluded from certain types of telemetry
          type: boolean
        preferenceBranchType:
          default: default
          description: Controls whether the default or user value of the preference
            is modified
          enum:
          - user
          - default
          type: string
        preferenceName:
          description: Full dotted-path of the preference that controls this experiment
          type: string
        preferenceType:
          description: Data type of the preference that controls this experiment
          enum:
          - string
          - integer
          - boolean
          type: string
        slug:
          description: Unique identifier for this experiment
          pattern: ^[A-Za-z0-9\-_]+$
          type: string
      required:
      - slug
      - preferenceName
      - preferenceType
      - branches
      title: Run a feature experiment activated by a preference.
      type: object
    id: 3
    implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
    name: preference-experiment
  approval_request:
    approved: true
    approver:
      email: bwong@mozilla.com
      first_name: Benson
      id: 38
      last_name: Wong
    comment: removal of QA pref
    created: '2019-03-21T22:31:06.749571Z'
    creator:
      email: rdalal@mozilla.com
      first_name: Rehan
      id: 14
      last_name: Dalal
    id: 1498
    revision:
      id: 2336
      recipe_id: 721
  arguments:
    branches:
    - ratio: 1
      slug: default
      value: powerpoint.officeapps.live.com
    experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1536453
    isEnrollmentPaused: false
    isHighVolume: true
    preferenceBranchType: default
    preferenceName: dom.keyboardevent.keypress.hack.use_legacy_keycode_and_charcode
    preferenceType: string
    slug: hotfix-office365-legacy-keycode-and-charcode
  capabilities:
  - capabilities-v1
  - jexl.transform.versionCompare
  - action.preference-experiment
  - jexl.context.env.version
  comment: ''
  creator:
    email: rdalal@mozilla.com
    first_name: Rehan
    id: 14
    last_name: Dalal
  date_created: '2019-03-21T22:31:00.920157Z'
  enabled: true
  enabled_states:
  - carryover_from: null
    created: '2019-03-21T22:37:27.666999Z'
    creator:
      email: rdalal@mozilla.com
      first_name: Rehan
      id: 14
      last_name: Dalal
    enabled: true
    id: 764
  experimenter_slug: null
  extra_capabilities: []
  extra_filter_expression: normandy.version < "66.0.2"
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("66.!")>=0)&&(env.version|versionCompare("66.*")<0))
    && (normandy.version < "66.0.2")
  filter_object:
  - channels:
    - release
    type: channel
  - type: version
    versions:
    - 66
  id: 2336
  identicon_seed: v1:gx557ngwoe
  metadata: {}
  name: 'Hotfix: Office 365 Legacy Keycode And Charcode'
  recipe:
    approved_revision_id: 2336
    id: 721
    latest_revision_id: 2336
  updated: '2019-03-21T22:37:27.948324Z'
signature:
  public_key: ''
  signature: niIkGG9Lu0pd9LIFmAlZRTAT34vX4H3RFr1VgB1ic99KH9nLvRnfbRU6hP7A8f0NTa0xqujh9sYN1cIHG1qzBrdzks1LDpsYNXfK_KZBKdCjkRpM3Jq84HZZcK8UxtzH
  timestamp: '2024-04-19T00:01:07.777701Z'
  x5u: https://content-signature-2.cdn.mozilla.net/chains/normandy.content-signature.mozilla.org-2024-05-20-00-15-25.chain
uses_only_baseline_capabilities: false
